# platformio account register

Contents

- platformio account register

  - Usage

  - Description

    - Options

## Usage

    platformio account register [OPTIONS]
    pio account register [OPTIONS]

## Description

Create a new PIO Account.

### Options

You can omit these options and enter them later in Register Wizard.

--username, -u

A username. You can use it later for platformio account login, platformio account update, and platformio account forgot commands.

The username must contain at least 4 characters including single hyphens, and cannot begin or end with a hyphen.

--email, -e

An email. Please enter existing email, you will receive a confirmation letter.

--password, -p

A password. You will need it for platformio account login, platformio account password, platformio account token, and platformio account update commands.

--firstname

A first name.

--lastname

A last name.